VFS_ROOT(9)

NAME
VFS_ROOT - return the root vnode of a file system

SYNOPSIS
#include <sys/param.h>
#include <sys/mount.h>
#include <sys/vnode.h>
int
VFS_ROOT(struct mount *mp, int flags, struct vnode **vpp);

DESCRIPTION
Return a locked vnode for the root directory of the file system.

Its arguments are:

mp  The file system.

flags
    The lock type. Could be LK_EXCLUSIVE or LK_SHARED. File system is free to ignore the flags argument and instead acquire an exclusive lock.

vpp Return parameter for the root vnode.

SEE ALSO
VFS(9), vnode(9)

AUTHORS
This manual page was written by Doug Rabson.